Name: 		perl-Inline
Version: 	0.44
Release: 	3
Summary: 	Inline Perl module
License: 	distributable
Group: 		Perl
URL: 		http://search.cpan.org/search?mode=module&query=Inline
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	perl perl-Parse-RecDescent
Source0: 	Inline-%{version}.tar.gz
Provides: 	Inline::C perl-Inline-C

%description
The Inline module allows you to put source code from other programming
languages directly "inline" in a Perl script or module. The code is
automatically compiled as needed, and then loaded for immediate access
from Perl.

Inline saves you from the hassle of having to write and compile your
own glue code using facilities like XS or SWIG. Simply type the code
where you want it and run your Perl as normal. All the hairy details
are handled for you. The compilation and installation of your code
chunks all happen transparently; all you will notice is the delay of
compilation on the first run.

The Inline code only gets compiled the first time you run it (or
whenever it is modified) so you only take the performance hit
once. Code that is Inlined into distributed modules (like on the CPAN)
will get compiled when the module is installed, so the end user will
never notice the compilation time.

%prep
%setup -q -n Inline-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install
pushd $RPM_BUILD_ROOT
rm -f `find -type f -name "perllocal.pod"`
rm -f `find -type f -name "*.bs"`
rm -f `find -type f -name .packlist`
popd
touch -c `find $RPM_BUILD_ROOT`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
